Package com.explodingpixels.macwidgets

## Interface WidgetColorScheme

All Known Implementing Classes:
  `WidgetDarkColorScheme`, `WidgetStandardColorScheme`

    public interface WidgetColorScheme

Built from MacWidgets SourceListColorScheme An interface to provide a set of `MacWidgetsPainter`s and colors to use when painting a widget.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.awt.Color` `getActiveBackgroundColor()` The background color of the widget when it is in an active window.
`java.awt.Color` `getActiveFocusedSelectedItemBackgroundColor()`
`MacWidgetsPainter<java.awt.Component>` `getActiveFocusedSelectedItemPainter()` The `Painter` to use for drawing the widget selection when the widget is in the active window and has focus.
`java.awt.Color` `getActiveUnfocusedSelectedItemBackgroundColor()`
`MacWidgetsPainter<java.awt.Component>` `getActiveUnfocusedSelectedItemPainter()` The `Painter` to use for drawing the widget selection when the widget is in the active window and does not have focus.
`java.awt.Color` `getActiveUnselectedBadgeColor()` The color to draw a badge's background with when it's corresponding widget item is unselected and the widget is in an active window.
`java.awt.Color` `getBadgeTextColor()` The color to draw a badge's text with.
`java.awt.Color` `getCategoryTextColor()` The color to draw a widget category with.
`java.awt.Color` `getCategoryTextShadowColor()` The color to draw a widget category's shadow with.
`java.awt.Color` `getInactiveBackgroundColor()` The background color of the widget when it is in an inactive window.
`java.awt.Color` `getInactiveSelectedItemBackgroundColor()`
`MacWidgetsPainter<java.awt.Component>` `getInactiveSelectedItemPainter()` The `Painter` to use for drawing the `SourceList` selection when the widget is in an inactive window.
`java.awt.Color` `getInativeUnselectedBadgeColor()` The color to draw a badge's background with when it's corresponding widget item is unselected and the widget is in an inactive window.
`java.awt.Color` `getSelectedBadgeColor()` The color to draw a badge's background with when it's corresponding widget item is selected.
`javax.swing.Icon` `getSelectedCollapsedIcon()` The icon to use when a widget node is collapsed and selected.
`javax.swing.Icon` `getSelectedExpandedIcon()` The icon to use when a widget node is expanded and selected.
`java.awt.Color` `getSelectedItemFontShadowColor()` The color to draw a selected widget item's shadow with.
`java.awt.Color` `getSelectedItemTextColor()` The color to draw a selected widget item with.
`javax.swing.Icon` `getUnselectedCollapsedIcon()` The icon to use when a widget node is collapsed and unselected.
`javax.swing.Icon` `getUnselectedExpandedIcon()` The icon to use when a widget node is expanded and unselected.
`java.awt.Color` `getUnselectedItemTextColor()` The color to draw an unselected widget item with.

### Method Detail

#### getActiveFocusedSelectedItemPainter

    MacWidgetsPainter<java.awt.Component> getActiveFocusedSelectedItemPainter()

The `Painter` to use for drawing the widget selection when the widget is in the active window and has focus.

Returns:
  the `Painter` to use for painting the selection in an active window where the widget has focus.

#### getActiveUnfocusedSelectedItemPainter

    MacWidgetsPainter<java.awt.Component> getActiveUnfocusedSelectedItemPainter()

The `Painter` to use for drawing the widget selection when the widget is in the active window and does not have focus.

Returns:
  the `Painter` to use for painting the selection in an active window where the widget does not have focus.

#### getInactiveSelectedItemPainter

    MacWidgetsPainter<java.awt.Component> getInactiveSelectedItemPainter()

The `Painter` to use for drawing the `SourceList` selection when the widget is in an inactive window.

Returns:
  the `Painter` to use for painting the selection in an inactive window.

#### getActiveFocusedSelectedItemBackgroundColor

    java.awt.Color getActiveFocusedSelectedItemBackgroundColor()

#### getActiveUnfocusedSelectedItemBackgroundColor

    java.awt.Color getActiveUnfocusedSelectedItemBackgroundColor()

#### getInactiveSelectedItemBackgroundColor

    java.awt.Color getInactiveSelectedItemBackgroundColor()

#### getCategoryTextColor

    java.awt.Color getCategoryTextColor()

The color to draw a widget category with.

Returns:
  the color to draw a widget category text with.

#### getCategoryTextShadowColor

    java.awt.Color getCategoryTextShadowColor()

The color to draw a widget category's shadow with.

Returns:
  the color to draw a widget category text's shadow with.

#### getUnselectedItemTextColor

    java.awt.Color getUnselectedItemTextColor()

The color to draw an unselected widget item with.

Returns:
  the color to draw an unselected widget item with.

#### getSelectedItemTextColor

    java.awt.Color getSelectedItemTextColor()

The color to draw a selected widget item with.

Returns:
  the color to draw a selected widget item with.

#### getSelectedItemFontShadowColor

    java.awt.Color getSelectedItemFontShadowColor()

The color to draw a selected widget item's shadow with.

Returns:
  the color to draw a selected widget item's shadow with.

#### getActiveBackgroundColor

    java.awt.Color getActiveBackgroundColor()

The background color of the widget when it is in an active window.

Returns:
  the background color of the widget when it is in an active window.

#### getInactiveBackgroundColor

    java.awt.Color getInactiveBackgroundColor()

The background color of the widget when it is in an inactive window.

Returns:
  the background color of the widget when it is in an inactive window.

#### getUnselectedCollapsedIcon

    javax.swing.Icon getUnselectedCollapsedIcon()

The icon to use when a widget node is collapsed and unselected.

Returns:
  the icon to use when a widget node is collapsed and unselected.

#### getUnselectedExpandedIcon

    javax.swing.Icon getUnselectedExpandedIcon()

The icon to use when a widget node is expanded and unselected.

Returns:
  the icon to use when a widget node is expanded and unselected.

#### getSelectedCollapsedIcon

    javax.swing.Icon getSelectedCollapsedIcon()

The icon to use when a widget node is collapsed and selected.

Returns:
  the icon to use when a widget node is collapsed and selected.

#### getSelectedExpandedIcon

    javax.swing.Icon getSelectedExpandedIcon()

The icon to use when a widget node is expanded and selected.

Returns:
  the icon to use when a widget node is expanded and selected.

#### getBadgeTextColor

    java.awt.Color getBadgeTextColor()

The color to draw a badge's text with.

Returns:
  the color to draw a badge's text with.

#### getSelectedBadgeColor

    java.awt.Color getSelectedBadgeColor()

The color to draw a badge's background with when it's corresponding widget item is selected. This color is used regardless of the whether the parent window is active or inactive.

Returns:
  the color to draw a badge's background with when it's corresponding widget item is selected

#### getActiveUnselectedBadgeColor

    java.awt.Color getActiveUnselectedBadgeColor()

The color to draw a badge's background with when it's corresponding widget item is unselected and the widget is in an active window.

Returns:
  the color to draw a badge's background with when it's corresponding widget item is unselected and the widget is in an active window.

#### getInativeUnselectedBadgeColor

    java.awt.Color getInativeUnselectedBadgeColor()

The color to draw a badge's background with when it's corresponding widget item is unselected and the widget is in an inactive window.

Returns:
  the color to draw a badge's background with when it's corresponding widget item is unselected and the widget is in an inactive window.